Skip to content
Start Trading

Update an IOI's notional, accepting the current NDA revision when required.

$ clst v1:private-markets update-ioi
PATCH/v1/private-markets/iois/{ioi_id}

Update an IOI’s notional, accepting the current NDA revision when required.

ParametersExpand Collapse
--ioi-id: string

Path param: IOI id

--account-id: number

Query param

--notional-amount: string

Body param

--nda-acceptance: optional object { accepted, agreement_id, authority_confirmed }

Body param: Required when the SPV’s current NDA version is newer than the IOI’s latest acceptance. Irrelevant acceptances are rejected.

ReturnsExpand Collapse
V1PrivateMarketUpdateIoiResponse: BaseResponse { metadata, error }
data: IoiResource { id, account_id, created_at, 5 more }

IOI list item with the campaign identity needed to render it.

company: object { id, name }

Company identity embedded in an IOI list item.

id: string
name: string
offering: object { id, headline }

Offering identity embedded in an IOI list item.

id: string
headline: string

Update an IOI's notional, accepting the current NDA revision when required.

clst v1:private-markets update-ioi \
  --api-key 'My API Key' \
  --ioi-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
  --account-id 0 \
  --notional-amount 125000.00
{
  "data": {
    "account_id": 19816,
    "company": {
      "id": "b2b3b4b5-c2c3-d2d3-e2e3-e4e5e6e7e8e9",
      "name": "Acme Robotics"
    },
    "created_at": "2026-05-30T02:37:10.709695Z",
    "currency": "USD",
    "id": "019dbae9-73b4-7760-a947-8b4bcab57c49",
    "notional_amount": "125000.00",
    "offering": {
      "headline": "Series D opportunity",
      "id": "a1a2a3a4-b1b2-c1c2-d1d2-d3d4d5d6d7d8"
    },
    "offering_id": "a1a2a3a4-b1b2-c1c2-d1d2-d3d4d5d6d7d8",
    "updated_at": "2026-05-30T03:12:44.001000Z"
  },
  "error": null,
  "metadata": {
    "request_id": "7c8d9e0f-1a2b-3c4d-5e6f-7a8b9c0d1e2f"
  }
}
Returns Examples
{
  "data": {
    "account_id": 19816,
    "company": {
      "id": "b2b3b4b5-c2c3-d2d3-e2e3-e4e5e6e7e8e9",
      "name": "Acme Robotics"
    },
    "created_at": "2026-05-30T02:37:10.709695Z",
    "currency": "USD",
    "id": "019dbae9-73b4-7760-a947-8b4bcab57c49",
    "notional_amount": "125000.00",
    "offering": {
      "headline": "Series D opportunity",
      "id": "a1a2a3a4-b1b2-c1c2-d1d2-d3d4d5d6d7d8"
    },
    "offering_id": "a1a2a3a4-b1b2-c1c2-d1d2-d3d4d5d6d7d8",
    "updated_at": "2026-05-30T03:12:44.001000Z"
  },
  "error": null,
  "metadata": {
    "request_id": "7c8d9e0f-1a2b-3c4d-5e6f-7a8b9c0d1e2f"
  }
}